"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "AnalyzeConfiguration", {
  enumerable: true,
  get: function () {
    return _model.AnalyzeConfiguration;
  }
});
Object.defineProperty(exports, "DocumentScannerConfiguration", {
  enumerable: true,
  get: function () {
    return _model.DocumentScannerConfiguration;
  }
});
Object.defineProperty(exports, "LogLevel", {
  enumerable: true,
  get: function () {
    return _model.LogLevel;
  }
});
Object.defineProperty(exports, "PDFPageFormat", {
  enumerable: true,
  get: function () {
    return _model.PDFPageFormat;
  }
});
Object.defineProperty(exports, "PageEditConfiguration", {
  enumerable: true,
  get: function () {
    return _model.PageEditConfiguration;
  }
});
exports.analyze = analyze;
exports.default = void 0;
exports.deleteTempFiles = deleteTempFiles;
exports.getLastError = getLastError;
exports.getText = getText;
exports.getTraceFile = getTraceFile;
exports.initSDK = initSDK;
exports.loadFile = loadFile;
exports.scanDocument = scanDocument;
exports.setAnalyzeConfiguration = setAnalyzeConfiguration;
exports.setLogLevel = setLogLevel;
exports.writePDF = writePDF;
var _reactNative = require("react-native");
var _model = require("./model");
const LINKING_ERROR = `The package 'react-native-docutain-sdk' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const DocutainSdk = _reactNative.NativeModules.DocutainSdk ? _reactNative.NativeModules.DocutainSdk : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
function initSDK(licenseKey) {
  return DocutainSdk.initSDK(licenseKey);
}
function scanDocument(options) {
  return DocutainSdk.scanDocument(options);
}
function loadFile(filePath) {
  return DocutainSdk.loadFile(filePath);
}
function getText() {
  return DocutainSdk.getText();
}
function setAnalyzeConfiguration(config) {
  return DocutainSdk.setAnalyzeConfiguration(config);
}
function analyze() {
  return DocutainSdk.analyze();
}
function writePDF(filePath, overWrite, PDF_PageFormat) {
  const PageFormat = PDF_PageFormat;
  return DocutainSdk.writePDF(filePath, overWrite, PageFormat);
}
function getLastError() {
  return DocutainSdk.getLastError();
}
function setLogLevel(logLevel) {
  const Level = logLevel;
  return DocutainSdk.setLogLevel(Level);
}
function getTraceFile() {
  return DocutainSdk.getTraceFile();
}
function deleteTempFiles(deleteTraceFileContent) {
  return DocutainSdk.deleteTempFiles(deleteTraceFileContent);
}
var _default = DocutainSdk;
exports.default = _default;
//# sourceMappingURL=index.js.map