import { NativeModules, Platform } from 'react-native';
import { PageEditConfiguration, DocumentScannerConfiguration, AnalyzeConfiguration, PDFPageFormat, LogLevel } from './model';
export { PageEditConfiguration, DocumentScannerConfiguration, AnalyzeConfiguration, PDFPageFormat, LogLevel };
const LINKING_ERROR = `The package 'react-native-docutain-sdk' doesn't seem to be linked. Make sure: \n\n` + Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const DocutainSdk = NativeModules.DocutainSdk ? NativeModules.DocutainSdk : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
export function initSDK(licenseKey) {
  return DocutainSdk.initSDK(licenseKey);
}
export function scanDocument(options) {
  return DocutainSdk.scanDocument(options);
}
export function loadFile(filePath) {
  return DocutainSdk.loadFile(filePath);
}
export function getText() {
  return DocutainSdk.getText();
}
export function setAnalyzeConfiguration(config) {
  return DocutainSdk.setAnalyzeConfiguration(config);
}
export function analyze() {
  return DocutainSdk.analyze();
}
export function writePDF(filePath, overWrite, PDF_PageFormat) {
  const PageFormat = PDF_PageFormat;
  return DocutainSdk.writePDF(filePath, overWrite, PageFormat);
}
export function getLastError() {
  return DocutainSdk.getLastError();
}
export function setLogLevel(logLevel) {
  const Level = logLevel;
  return DocutainSdk.setLogLevel(Level);
}
export function getTraceFile() {
  return DocutainSdk.getTraceFile();
}
export function deleteTempFiles(deleteTraceFileContent) {
  return DocutainSdk.deleteTempFiles(deleteTraceFileContent);
}
export default DocutainSdk;
//# sourceMappingURL=index.js.map